# qmake-File for Server

TEMPLATE      = app
QT           *= network gui
CONFIG       -= release debug_and_release release
CONFIG       *= qt console warn_on release
TARGET        = gui

HEADERS       = gamearea.hh gamestats.hh gamestatsvertical.hh gamestatshorizontal.hh gamedock.hh gamewindow.hh
SOURCES       = gamearea.cpp gamestats.cpp gamestatsvertical.cpp gamestatshorizontal.cpp gamedock.cpp gamewindow.cpp main.cpp
TRANSLATIONS  = gui_de_DE.ts

INCLUDEPATH   = . \
                ../libtrace   \
                ../libplayer  \
                ../libparser  \
                ../libgamemap \
                ../libclient  \
                ../engine
                
LIBS         += -L../libtrace   \
                -L../libplayer  \
                -L../libparser  \
                -L../libgamemap \
                -L../libclient  \
                -lclient -lgamemap -lparser -lplayer -ltrace

# install
target.path = .
sources.files = $$SOURCES $$HEADERS
sources.path = .
INSTALLS += target sources
